Mixedbread

Delete File

Delete a specific file by its ID.

DELETE
/v1/files/{file_id}

Removes the file from every store that references it (cleaning up chunks and store stats) before deleting the file object itself.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Api key to access Mixedbreads API

Path Parameters

file_id*File Id

The ID of the file to delete

Formatuuid

Response Body

The details of the deleted file

application/json
  1. response
id*Id

The ID of the deleted file

deleted?Deleted

Whether the file was deleted

Defaulttrue
object?Object

The type of the deleted object

Default"file"
from mixedbread import Mixedbreadmxbai = Mixedbread(api_key="YOUR_API_KEY")response = mxbai.files.delete(file_id="f47ac10b-58cc-4372-a567-0e02b2c3d479")print(response)
{  "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",  "deleted": true,  "object": "file"}